Create a Subscription

Overview

Create a new Subscription for a business. Supports discounted and free plans using coupons.

Available for Staff tokens.

Token Permissions

Token TypeAllowedRestrictions
StaffYesCannot set custom pricing. For external payment type offerings, must use a Staff token created by a Directory token.
DirectoryNoMust create a Staff token first via POST /platform/v1/tokens
InternalNoMust create a Staff token first
Billing AppYesCannot set custom pricing
Regular AppNoNot allowed

Important: External Payment Type Offerings

Offerings with payment_type = external require a Staff token created by a Directory token:

  1. Use POST /platform/v1/tokens with a Directory token to create a Staff token for the target business.
  2. Use that Staff token to call this endpoint.

The buyer_uid in the subscription is automatically derived from the authenticated Staff token's identity.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The underlying directory offering uid. Must be a valid offering_uid either from vcita or from the offering GET API.

string
enum
required

The purchase currency at the moment of the subscription was created. Supported currencies: USD; EUR; GBP

Allowed:
string

Optional. The business cart identifier to associate with this subscription.

string

Optional. Discount identifier used for tracking and Recurly integration. This is the coupon code that will be applied to the subscription.

number

Optional. The actual amount charged to the customer. When provided, this overrides the standard offering price. Important: This parameter is restricted to directory/admin tokens only. Staff tokens cannot set custom prices.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json